Package net.shibboleth.idp.plugin.authn.webauthn.audit.impl

# Class WebAuthnCredentialToRemoveAuditExtractor

java.lang.Object
net.shibboleth.idp.plugin.authn.webauthn.audit.AbstractWebAuthnManagementAuditExtractor<String>
net.shibboleth.idp.plugin.authn.webauthn.audit.impl.WebAuthnCredentialToRemoveAuditExtractor

All Implemented Interfaces:
  `Function<ProfileRequestContext,String>`

public class WebAuthnCredentialToRemoveAuditExtractor extends AbstractWebAuthnManagementAuditExtractor<String>
`Function` that returns the base64 encoded credential identifier of the credential that has been removed.

## Constructor Summary

Constructors
Constructor
Description
`WebAuthnCredentialToRemoveAuditExtractor(Function<ProfileRequestContext,WebAuthnManagementContext> strategy)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`protected String`
`doLookup(WebAuthnManagementContext context)`
Implemented to perform the actual lookup.

### Methods inherited from class net.shibboleth.idp.plugin.authn.webauthn.audit.AbstractWebAuthnManagementAuditExtractor

`apply`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.function.Function

`andThen, compose`

## Constructor Details

### WebAuthnCredentialToRemoveAuditExtractor

public WebAuthnCredentialToRemoveAuditExtractor(@Nonnull Function<ProfileRequestContext,WebAuthnManagementContext> strategy)
Constructor.

Parameters:
  `strategy` - the strategy used to locate the `WebAuthnManagementContext`.

## Method Details

### doLookup

protected String doLookup(@Nonnull WebAuthnManagementContext context)
Implemented to perform the actual lookup.

Specified by:
  `doLookup` in class `AbstractWebAuthnManagementAuditExtractor<String>`
Parameters:
  `context` - the base WebAuthn management context
Returns:
  lookup value or `null` if not found